{
  "version": "1",
  "metadata": {
    "marimo_version": "0.15.1"
  },
  "cells": [
    {
      "id": "Hbol",
      "code_hash": "196a8f8c61fff0f57c368c7d0f4e2744",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/plain": ""
          }
        }
      ],
      "console": []
    },
    {
      "id": "MJUe",
      "code_hash": "531fa6382a878b631acc02e7e32fda91",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<div style='display: flex;flex: 1;flex-direction: column;justify-content: flex-start;align-items: normal;flex-wrap: nowrap;gap: 0.5rem'><span class=\"markdown prose dark:prose-invert\"><h2 id=\"1-selecciona-un-dataset-y-preferencias\">1) Selecciona un dataset y preferencias</h2></span><div style='display: flex;flex: 1;flex-direction: row;justify-content: space-between;align-items: normal;flex-wrap: nowrap;gap: 0.5rem'><marimo-ui-element object-id='MJUe-0' random-id='8c594139-2a6c-2d10-3c47-bb0672f764a8'><marimo-dropdown data-initial-value='[&quot;cars&quot;]' data-label='&quot;&lt;span class=&#92;&quot;markdown prose dark:prose-invert&#92;&quot;&gt;&lt;span class=&#92;&quot;paragraph&#92;&quot;&gt;Dataset&lt;/span&gt;&lt;/span&gt;&quot;' data-options='[&quot;cars&quot;, &quot;iris&quot;, &quot;seattle-weather&quot;, &quot;stocks&quot;, &quot;Bike Sharing (DC)&quot;]' data-allow-select-none='false' data-searchable='false' data-full-width='false'></marimo-dropdown></marimo-ui-element><marimo-ui-element object-id='MJUe-1' random-id='f2dca84d-2a41-b139-a8d2-ac7f2ea8ef95'><marimo-checkbox data-initial-value='false' data-label='&quot;&lt;span class=&#92;&quot;markdown prose dark:prose-invert&#92;&quot;&gt;&lt;span class=&#92;&quot;paragraph&#92;&quot;&gt;Muestrear filas&lt;/span&gt;&lt;/span&gt;&quot;' data-disabled='false'></marimo-checkbox></marimo-ui-element><marimo-ui-element object-id='MJUe-2' random-id='b324114e-b353-2b47-4fb8-6f5e76a3707d'><marimo-number data-initial-value='1000' data-label='&quot;&lt;span class=&#92;&quot;markdown prose dark:prose-invert&#92;&quot;&gt;&lt;span class=&#92;&quot;paragraph&#92;&quot;&gt;Filas a tomar&lt;/span&gt;&lt;/span&gt;&quot;' data-debounce='false' data-full-width='false' data-disabled='false'></marimo-number></marimo-ui-element></div><div style='display: flex;flex: 1;flex-direction: row;justify-content: space-between;align-items: normal;flex-wrap: nowrap;gap: 0.5rem'><marimo-ui-element object-id='MJUe-3' random-id='1567d120-4376-e5bb-afc8-33eafcdeb8b8'><marimo-radio data-initial-value='&quot;media&quot;' data-label='&quot;&lt;span class=&#92;&quot;markdown prose dark:prose-invert&#92;&quot;&gt;&lt;span class=&#92;&quot;paragraph&#92;&quot;&gt;Tema&lt;/span&gt;&lt;/span&gt;&quot;' data-options='[&quot;media&quot;, &quot;light&quot;, &quot;dark&quot;]' data-inline='false' data-disabled='false'></marimo-radio></marimo-ui-element></div><marimo-ui-element object-id='MJUe-4' random-id='69e4052e-a796-4efe-798b-113fe982db07'><marimo-text data-initial-value='&quot;&quot;' data-label='&quot;&lt;span class=&#92;&quot;markdown prose dark:prose-invert&#92;&quot;&gt;&lt;span class=&#92;&quot;paragraph&#92;&quot;&gt;Ruta de spec (opcional)&lt;/span&gt;&lt;/span&gt;&quot;' data-placeholder='&quot;&quot;' data-kind='&quot;text&quot;' data-full-width='true' data-disabled='false' data-debounce='true'></marimo-text></marimo-ui-element></div>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "vblA",
      "code_hash": "59321f11d169d4453ecc41baff694512",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/plain": ""
          }
        }
      ],
      "console": []
    },
    {
      "id": "bkHC",
      "code_hash": "9eb38d931841890d477c832796df4dd5",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='bkHC-0' random-id='5c56239e-866b-66c3-bf33-5a48bf9a2a10'><marimo-table data-initial-value='[]' data-label='null' data-data='&quot;[{&#92;&quot;Name&#92;&quot;:&#92;&quot;chevrolet chevelle malibu&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:18.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:307.0,&#92;&quot;Horsepower&#92;&quot;:130.0,&#92;&quot;Weight_in_lbs&#92;&quot;:3504,&#92;&quot;Acceleration&#92;&quot;:12.0,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;buick skylark 320&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:15.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:350.0,&#92;&quot;Horsepower&#92;&quot;:165.0,&#92;&quot;Weight_in_lbs&#92;&quot;:3693,&#92;&quot;Acceleration&#92;&quot;:11.5,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;plymouth satellite&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:18.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:318.0,&#92;&quot;Horsepower&#92;&quot;:150.0,&#92;&quot;Weight_in_lbs&#92;&quot;:3436,&#92;&quot;Acceleration&#92;&quot;:11.0,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;amc rebel sst&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:16.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:304.0,&#92;&quot;Horsepower&#92;&quot;:150.0,&#92;&quot;Weight_in_lbs&#92;&quot;:3433,&#92;&quot;Acceleration&#92;&quot;:12.0,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;ford torino&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:17.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:302.0,&#92;&quot;Horsepower&#92;&quot;:140.0,&#92;&quot;Weight_in_lbs&#92;&quot;:3449,&#92;&quot;Acceleration&#92;&quot;:10.5,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;ford galaxie 500&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:15.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:429.0,&#92;&quot;Horsepower&#92;&quot;:198.0,&#92;&quot;Weight_in_lbs&#92;&quot;:4341,&#92;&quot;Acceleration&#92;&quot;:10.0,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;chevrolet impala&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:14.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:454.0,&#92;&quot;Horsepower&#92;&quot;:220.0,&#92;&quot;Weight_in_lbs&#92;&quot;:4354,&#92;&quot;Acceleration&#92;&quot;:9.0,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;plymouth fury iii&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:14.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:440.0,&#92;&quot;Horsepower&#92;&quot;:215.0,&#92;&quot;Weight_in_lbs&#92;&quot;:4312,&#92;&quot;Acceleration&#92;&quot;:8.5,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;pontiac catalina&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:14.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:455.0,&#92;&quot;Horsepower&#92;&quot;:225.0,&#92;&quot;Weight_in_lbs&#92;&quot;:4425,&#92;&quot;Acceleration&#92;&quot;:10.0,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;},{&#92;&quot;Name&#92;&quot;:&#92;&quot;amc ambassador dpl&#92;&quot;,&#92;&quot;Miles_per_Gallon&#92;&quot;:15.0,&#92;&quot;Cylinders&#92;&quot;:8,&#92;&quot;Displacement&#92;&quot;:390.0,&#92;&quot;Horsepower&#92;&quot;:190.0,&#92;&quot;Weight_in_lbs&#92;&quot;:3850,&#92;&quot;Acceleration&#92;&quot;:8.5,&#92;&quot;Year&#92;&quot;:&#92;&quot;1970-01-01T00:00:00.000&#92;&quot;,&#92;&quot;Origin&#92;&quot;:&#92;&quot;USA&#92;&quot;}]&quot;' data-total-rows='406' data-total-columns='9' data-max-columns='50' data-banner-text='&quot;&quot;' data-pagination='true' data-page-size='10' data-field-types='[[&quot;Name&quot;, [&quot;string&quot;, &quot;object&quot;]], [&quot;Miles_per_Gallon&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;Cylinders&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;Displacement&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;Horsepower&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;Weight_in_lbs&quot;, [&quot;integer&quot;, &quot;int64&quot;]], [&quot;Acceleration&quot;, [&quot;number&quot;, &quot;float64&quot;]], [&quot;Year&quot;, [&quot;datetime&quot;, &quot;datetime64[ns]&quot;]], [&quot;Origin&quot;, [&quot;string&quot;, &quot;object&quot;]]]' data-show-filters='true' data-show-download='true' data-show-column-summaries='true' data-show-data-types='true' data-show-page-size-selector='true' data-show-column-explorer='true' data-show-chart-builder='true' data-row-headers='[]' data-has-stable-row-id='false' data-lazy='false' data-preload='false'></marimo-table></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "lEQa",
      "code_hash": "77f25d32a379ca9cd07cd3e261ca2855",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "<marimo-ui-element object-id='lEQa-0' random-id='27191d7a-c01d-d00b-b841-2ca00b7a1776'><marimo-data-explorer data-initial-value='{&quot;mark&quot;: &quot;?&quot;, &quot;encoding&quot;: {}, &quot;config&quot;: {}}' data-label='null' data-data='&quot;./@file/28606-16726-kRAajgUx.csv&quot;'></marimo-data-explorer></marimo-ui-element>"
          }
        }
      ],
      "console": []
    },
    {
      "id": "PKri",
      "code_hash": "91499341c3757d179c21c1f94e06d093",
      "outputs": [
        {
          "type": "data",
          "data": {
            "text/html": "\n<div id=\"ifr-pyg-gwalker-main\" style=\"height: auto\">\n    <head>\n        <meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\" />\n    </head>\n    <iframe\n        width=\"100%\"\n        height=\"960px\"\n        id=\"gwalker-gwalker-main\"\n        srcdoc=\"&lt;!DOCTYPE html&gt;\n&lt;html lang=&quot;en&quot;&gt;\n&lt;head&gt;\n    &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html;charset=utf-8&quot; /&gt;\n&lt;/head&gt;\n\n\n&lt;body&gt;\n    &lt;div id=&quot;gwalker-div-gwalker-main&quot; class=&quot;gwalker-container&quot;&gt;\n        &lt;h3&gt;\n            Loading Graphic-Walker UI...\n        &lt;/h3&gt;\n        &lt;p&gt;If the loading process consistently fails to complete, install/upgarde the ipywidgets package using&lt;/p&gt;\n        &lt;code&gt;pip install --upgrade ipywidgets&lt;/code&gt;\n\n    &lt;/div&gt;\n    &lt;script&gt;\n        var gw_script = &quot;[encoded data, 2680972 characters]&quot;;\n        var gw_id = &quot;gwalker-div-gwalker-main&quot;;\n        var props_data = &quot;[encoded data, 11544 characters]&quot;;\n        async function runGwScript() {\n            const script_stream = await fetch(&#x27;data:application/octet-stream;base64,&#x27; + gw_script).then((res) =&gt; res.body.pipeThrough(new DecompressionStream(&#x27;deflate&#x27;)));\n            const script = await new Response(script_stream).text();\n            eval(script);\n            const props_stream = await fetch(&#x27;data:application/octet-stream;base64,&#x27; + props_data).then((res) =&gt; res.body.pipeThrough(new DecompressionStream(&#x27;deflate&#x27;)));\n            const props = await new Response(props_stream).json();\n            try{\n                window.__GW_VERSION=props.version;\n                PyGWalkerApp.GWalker(props, gw_id);;\n            } catch(e) {\n                console.error(e);\n            }\n        }\n        runGwScript();\n    &lt;/script&gt;\n&lt;/body&gt;\n\n\n\n\n&lt;/html&gt;\"\n        frameborder=\"0\"\n        allow=\"clipboard-read; clipboard-write\"\n        allowfullscreen\n        \n            style=\"\"\n        \n    >\n    </iframe>\n</div>\n\n\n"
          }
        }
      ],
      "console": []
    }
  ]
}